%define module_version 0.09
%define module_name X11-IdleTime
# BEGIN SourceDeps(oneline):
BuildRequires: libX11-devel libXScrnSaver-devel libXext-devel perl(Config.pm) perl(Devel/CheckLib.pm) perl(Exporter.pm) perl(Inline.pm) perl(Inline/C.pm) perl(Inline/MakeMaker.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.09
Release: alt7
Summary: Get the idle time of X11
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AW/AWENDT/%{module_name}-%{module_version}.tar.gz

%description
The X11::IdleTime module is useful for checking how long the user has been idle.


%prep
%setup -n %{module_name}-%{module_version}
mkdir X11
cp IdleTime.pm X11/

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/X*
%perl_vendor_autolib/X*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.09-alt7
- rebuild with perl 5.38

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.09-alt6
- rebuild with perl 5.34.0

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.09-alt5
- rebuild with perl 5.30

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt4.1
- rebuild with perl 5.28.1

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.09-alt4
- rebuild with perl 5.26

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt3
- rebuild to get rid of unmets

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.09-alt2.1
- rebuild with perl 5.22

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.09-alt2
- rebuild to get rid of unmets

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Tue May 20 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- initial import by package builder

